<script setup lang="ts">
import { ImageReview, GOAnnotationReview, UserInformation } from "#components";
const { loggedIn, login } = useOidcAuth();
const panels = [
  {
    header: "User information",
    hash: "user-information",
    component: UserInformation,
  },
  {
    header: "Image Review",
    hash: "image-review",
    component: ImageReview,
  },
  {
    header: "GO Annotation Review",
    hash: "go-annotation-review",
    component: GOAnnotationReview,
  },
];

const { items } = storeToRefs(useRightNavigatorStore());
const updateRightNavigatorItems = () => {
  items.value = panels.map((panel) => ({
    title: panel.header,
    hash: panel.hash,
  }));
};

onMounted(updateRightNavigatorItems);
onActivated(updateRightNavigatorItems);
</script>

<template>
  <v-container>
    <client-only>
      <template v-if="loggedIn">
        <template v-for="{ component, hash, header } in panels" :key="hash">
          <TopLevelPanelWrapper :header="header" :hash="hash">
            <component :is="component" />
          </TopLevelPanelWrapper>
        </template>
      </template>
      <template v-else>
        <v-btn color="primary" @click="login()">Login</v-btn>
      </template>
    </client-only>
  </v-container>
</template>
